# Class CIM_LogicalPortGroup
extends CIM_SystemSpecificCollection

A collection of one or more ports that are logically grouped for administrative and discovery or topology purposes. LogicalPortGroups define port collections for access control, or for use in routing policy or other management tasks. For example, in Fibre Channel and Infiniband, a LogicalPortGroup represents the concept of a 'node'.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_SystemSpecificCollection
|
+--CIM_LogicalPortGroup

## Direct Known Subclasses

CIM_PCIPortGroup

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A collection of one or more ports that are logically grouped for administrative and discovery or topology purposes. LogicalPortGroups define port collections for access control, or for use in routing policy or other management tasks. For example, in Fibre Channel and Infiniband, a LogicalPortGroup represents the concept of a 'node'.
UMLPackagePath | string | CIM::Device::Ports
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Name | string |
Description | string | The Name property defines the identity by which the LogicalPortGroup is known.
MaxLen | uint32 | 256
ModelCorrespondence | string | CIM_LogicalPortGroup.NameFormat
NameFormat | string |
Description | string | The NameFormat property identifies how the Name of the LogicalPortGroup is generated.
MaxLen | uint32 | 64
ModelCorrespondence | string | CIM_LogicalPortGroup.Name, CIM_LogicalPortGroup.OtherNameFormat
ValueMap | string | Unknown, Other, WWN, GUID
OtherNameFormat | string |
Description | string | A string that describes how the LogicalPortGroup is identified when the NameFormat is "Other".
ModelCorrespondence | string | CIM_LogicalPortGroup.Name

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_SystemSpecificCollection

## Class Methods